import request from '@/utils/request'

// 查询附件信息列表
export function listAttachment(query) {
  return request({
    url: '/system/attachment/list',
    method: 'get',
    params: query
  })
}

// 查询附件信息详细
export function getAttachment(id) {
  return request({
    url: '/system/attachment/get/' + id,
    method: 'get'
  })
}

// 查询附件信息详细
export function findAttachment(data) {
  return request({
    url: '/system/attachment/find',
    method: 'get',
    params: data
  })
}

// 新增附件信息
export function addAttachment(data) {
  return request({
    url: '/system/attachment/add',
    method: 'post',
    data: data
  })
}

// 修改附件信息
export function updateAttachment(data) {
  return request({
    url: '/system/attachment/edit',
    method: 'post',
    data: data
  })
}

// 删除附件信息
export function delAttachment(id) {
  return request({
    url: '/system/attachment/remove/' + id,
    method: 'get'
  })
}

// 导出附件信息
export function exportAttachment(query) {
  return request({
    url: '/system/attachment/export',
    method: 'get',
    params: query
  })
}
